exp_list = {'A1','A2','B1','B2','C1','C2','D1','D2'};
chan_list = {'main_up','main_down','side_down','main_mid','side_mid'};

discharge = nan(length(exp_list),length(chan_list));
Q = discharge;
Q_err = nan(size(exp_list));
for i=1:length(exp_list)
    for j=1:length(chan_list)
        [discharge(i,j),Q(i,j)] = VectrinoProfiler_discharge(exp_list{i},chan_list{j});
        if strcmp(exp_list{i}(end),'1') && j==3
            break
        end
    end
    if strcmp(exp_list{i}(end),'1')
        Q_err(i) = mean([abs(discharge(i,1)-Q(i,1))/Q(i,1) abs(sum(discharge(i,2:3))-mean(Q(i,2:3)))/mean(Q(i,2:3))]);
    else
        Q_err(i) = mean([abs(discharge(i,1)-Q(i,1))/Q(i,1) abs(sum(discharge(i,2:3))-mean(Q(i,2:3)))/mean(Q(i,2:3)) abs(sum(discharge(i,4:5))-mean(Q(i,4:5)))/mean(Q(i,4:5))]);
    end
end

%%
Qside_div = discharge(:,3)./sum(discharge(:,2:3),2);
for i=1:size(Q,1)
    if strcmp(exp_list{i}(end),'1')
        Q_err_up(i) = max(max(nanmean(Q(i,:))-[discharge(i,1) sum(discharge(i,2:3))]),0);
        Q_err_down(i) = -min(min(nanmean(Q(i,:))-[discharge(i,1) sum(discharge(i,2:3))]),0);
    else
        Q_err_up(i) = max(max(nanmean(Q(i,:))-[discharge(i,1) sum(discharge(i,2:3)) sum(discharge(i,4:5))]),0);
        Q_err_down(i) = -min(min(nanmean(Q(i,:))-[discharge(i,1) sum(discharge(i,2:3)) sum(discharge(i,4:5))]),0);
    end
end

Qerr_up_div = ( (1+Q_err_up(:)./nanmean(Q,2)).*discharge(:,3) ) ./ ( (1-Q_err_down(:)./nanmean(Q,2)).*sum(discharge(:,2:3),2) ) - Qside_div;
Qerr_down_div = Qside_div - ( (1-Q_err_down(:)./nanmean(Q,2)).*discharge(:,3) ) ./ ( (1+Q_err_up(:)./nanmean(Q,2)).*sum(discharge(:,2:3),2) );

%%
A = cross_section_LTD(exp_list);
f3 = makefigure;
errorbar(A,Qside_div,Qerr_down_div,Qerr_up_div,'.');
for i=1:length(exp_list)
    if strcmp(exp_list{i}(1),'C')
        text(A(i)-0.005,Qside_div(i),exp_list{i},'interpreter','latex','horizontalalignment','right');
    else
        text(A(i)+0.005,Qside_div(i),exp_list{i},'interpreter','latex');
    end
end
ylabel('$\hat{Q}_\mathrm{side}/\left(\hat{Q}_\mathrm{side}+\hat{Q}_\mathrm{main}\right)$','interpreter','latex');
xlabel('$A/A_0$','interpreter','latex');
set(gca,'ticklabelinterpreter','latex');

%%
output_Qdif_A = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/figures/discharge_division_20180820/Qside_crosssection';
if ~isempty(output_Qdif_A)
    printfigure([output_Qdif_A '_rgb'],'vector','rgb',f3);
    printfigure([output_Qdif_A '_cmyk'],'vector','cmyk',f3);
    savefig(f3,[output_Qdif_A '.fig']);
end
