function A = cross_section_LTD(exp_list)

bedlevel_folder = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/laser_scanner/still/%s';

xlims = [4000 7950];
dx = 5;
z0 = 200; % bed leveled initially at 200mm
zLTD = 300; % mean(max(VI(:,XI(1,:)>8500),[],1)); based on A1 dry-bed
yADV = 890; % y-value of ADV-measurements over sill: 888mm, which is most closely approximated by 890 on the grid with dx=dy=5mm

A = nan(length(exp_list),1);

for nn = 1:length(exp_list)
    
    experiment = exp_list{nn};

    switch experiment
        case 'A1'
            bedlevel_file = 'still_20180222.mat';
        case 'A2'
            bedlevel_file = 'still_20180302.mat';
        case 'AB1'
            bedlevel_file = 'dry_scan_Daan_03082018.mat';
        case 'AB2'
            bedlevel_file = 'Scan_bodem_still_daan_150302014.mat';
        case 'B1'
            bedlevel_file = 'final_scans_20180323.mat';
        case 'B2'
            bedlevel_file = 'Dryscan_daan_28032017.mat';
        case 'C1'
            bedlevel_file = 'dry_scan_07_06_2018.mat';
        case 'C2'
            bedlevel_file = 'still_20180615.mat';
        case 'D1'
            bedlevel_file = 'still_20180622.mat';
        case 'D2'
            bedlevel_file = 'still_20180702.mat';
    end
    
    load(sprintf(bedlevel_folder,experiment,bedlevel_file),'XI','YI','VI');

    A(nn) = 1 - ( sum(VI{1}(YI{1}(:,1)==yADV,XI{1}(1,:)>=xlims(1)&XI{1}(1,:)<=xlims(2)))*dx - z0*diff(xlims) ) / ( (zLTD-z0)*diff(xlims) );
    
end
