exp_list = {'A1','B1','C1','D1'};% {'A2','B2','C2','D2'};


yval = 1488;%888;
theta_scaling = 1;%3;
vel_datafile = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/data_velocity_bedlevel.mat';
output = [];
z = [-40.5:-1:-69.5];
zlims = [200 234];%[250 284];
xlims = [4000 10000];
hx = 0.05;
hy = 0.05;
cv_lim = 0.7;

%%%
% Collect standard colors of lineplots in Matlab (parula colormap)
%%%
dumX = [0 10];
dumY = [0 10];
c = cell(8,1);
hf = figure;
hold on;
for i=1:8
    h = plot(dumX,dumY+(i-1),'-');
    c{i} = get(h,'Color');
end
close(hf)
clearvars dumX dumY h hf
%%%

HF = makefigure(17,4*length(exp_list));
fig = cell(size(exp_list));
ax = fig;

for m=1:length(exp_list)

    load(sprintf(vel_datafile,exp_list{m}),'Xpos2','Ypos2','Zpos2','U2_filt2','V2_filt2','bed2','tBED2','tVEL2');

    fig{m} = subplot(length(exp_list),1,m);
    hold on;
    
    bed2_filt = cell(size(bed2));
    bed2_interp = cell(size(bed2));
    Id = cell(length(bed2),1);
    for i=1:length(bed2)
        try
            [bed2_filt{i}, Id{i}] = despikeADV(bed2{i},hx,hy,i,1,'bed2');
            hx2 = hx;
            hy2 = hy;
            while sum(isnan(bed2_filt{i}))==numel(bed2_filt{i})
                hx2 = 2*hx2;
                hy2 = 2*hy2;
                [bed2_filt{i}, Id{i}] = despikeADV(bed2{i},hx2,hy2,i,1,'bed2');
                if hx2 > 8*hx
                    break
                end
            end
            bed2_interp{i} = interp1(tBED2{i},bed2_filt{i},tVEL2{i},'linear');
        catch
            warning('Function despikeADV failed at i=%d (with y=%f)',i,Ypos2(i));
        end
    end
    
    Xunique = unique(Xpos2);
    
    theta = cell(size(U2_filt2));
    CV = theta;
    counter=0;
    nProfiles = numel(unique(Xpos2(Ypos2==yval)));
    for n=1:length(U2_filt2)
        if Ypos2(n)==yval
            counter = counter+1;
%%% remove data points below the bed level            
            z_lowest = nanmean(bed2_filt{n}*1000);
            plot(repmat(Xpos2(n),2,1),zlims,'--k');
            index_nan = repmat(Zpos2(n)+z,length(bed2_interp{n}),1)<repmat(Zpos2(n)-bed2_interp{n}*1000,1,length(z));
            U2_filt2{n}(index_nan) = NaN;
            V2_filt2{n}(index_nan) = NaN;

%%% remove data points with CV>...; CV = std(v)/|mean(sqrt(u^2+v^2))|
            CV{n} = nanstd(V2_filt2{n},1)./abs(sqrt(nanmean(U2_filt2{n},1).^2+nanmean(V2_filt2{n},1).^2));
            index2_nan = CV{n}>cv_lim;
            U2_filt2{n}(:,index2_nan) = NaN;
            V2_filt2{n}(:,index2_nan) = NaN;
            
            theta{n} = atan2(-V2_filt2{n},U2_filt2{n});
            
            xplot = repmat(Xpos2(n),size(nanmean(theta{n},1))) - nanmean(theta{n},1)/pi*10000/theta_scaling; %minus because of reversed xdir later on in script
            yplot = Zpos2(n)+z;
            cplot = c{Xunique==Xpos2(n)};
            for i=1:length(xplot)
                plot([Xpos2(n) xplot(i)], [yplot(i) yplot(i)], '-', 'color', cplot);
            end
            plot(xplot, yplot, '.', 'color', cplot);
            plot(Xpos2(n)+[-0.02 0.02]*10000,repmat(zlims(2)-2,2,1),'-k')
            plot(repmat(Xpos2(n)-0.02*10000,2,1),zlims(2)-2+[-1 1],'-k');
            plot(repmat(Xpos2(n)+0.02*10000,2,1),zlims(2)-2+[-1 1],'-k');
            if m==length(exp_list) && counter==nProfiles
                number = 0.02*theta_scaling;
                text(Xpos2(n)-0.02*10000,zlims(2)-3,[sprintf('$%.2f',number) '\pi$'],'interpreter','latex','horizontalalignment','center','verticalalignment','top');
            end
        end
    end
    ylim(zlims);
    xlim(xlims);
    
    set(gca,'XDir','reverse','box','on','ticklabelinterpreter','latex');
    if m==length(exp_list)
        xlabel('$x\,(\mathrm{mm})$','interpreter','latex');
    end
    ylabel('$z\,(\mathrm{mm})$','interpreter','latex');
    
end

if ~isempty(output)
    printfigure([output '_rgb'],'vector','rgb');
    printfigure([output '_cmyk'],'vector','cmyk');
    savefig(HF,[output '.fig']);
end
