exp_list = {'A1','A2','AB1','AB2','B1','B2','C1','C2','D1','D2'};

for m=1:length(exp_list)

experiment = exp_list{m};
filenameADV = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/Vectrino/velocity_points/VectrinoData.%03d.18.Vectrino Profiler.%05d_%d.mat';
figSwitch = 0; % figSwitch = 1: create example plot of velocities; figSwitch = 0: do not create plot
filenameADV2_path = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/Vectrino/velocity_points/%s';

start_path = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/laser_scanner/dry_scan/%s';
end_path = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/laser_scanner/still/%s';

output_sed = []; % complete path of output file without extension (e.g. ~/Desktop/test1); if empty, figure without vectors is not saved
output_vel = []; % complete path of output file without extension (e.g. ~/Desktop/test1); if empty, figure with vectors is not saved
Ncolors = []; % number of colors in color map (default 5)
cmax = 82.5; % maximum value of colorbar of erosion/deposition in mm (default 100)
scale = 5000; % scale factor for plotting vectors

%%%%
% Nn = three-digit number specifying the Vectrino data-file (=day number)
% Nm = five-digit number specifying the Vectrino data-file
% summertime = switch indicating summertime UTC+2 (1) or wintertime (UTC+1) (0)

switch experiment
    case 'A1'
        Nn = 52; Nm = 1; summertime = 0; start_file = 'dry_scan_20180219.mat'; end_file = 'still_20180222.mat'; filenameADV2_file = 'Vectrino_velocity_points.dat';
    case 'A2'
        Nn = 59; Nm = 1; summertime = 0; start_file = 'dry_scan_20180219.mat'; end_file = 'still_20180302.mat'; filenameADV2_file = 'A2_Daan_velprof_28022018.dat';
    case 'AB1'
        Nn = 66; Nm = 1; summertime = 0; start_file = 'dry_scan_20180305.mat'; end_file = 'dry_scan_Daan_03082018.mat'; filenameADV2_file = 'Vel_points_Daan_07032018.dat';
    case 'AB2'
        Nn = 72; Nm = 1; summertime = 0; start_file = 'dry_scan_20180305.mat'; end_file = 'Scan_bodem_still_daan_150302014.mat'; filenameADV2_file = 'Vel_Daan_13032018.dat';
    case 'B1'
        Nn = 81; Nm = 0; summertime = 0; start_file = 'dry_scan_20180320.mat'; end_file = 'final_scans_20180323.mat'; filenameADV2_file = 'Daan_22_03_2018.dat';
    case 'B2'
        Nn = 86; Nm = 1; summertime = 1; start_file = 'dry_scan_20180320.mat'; end_file = 'Dryscan_daan_28032017.mat'; filenameADV2_file = 'vel_daan_27032017.dat';
    case 'C1'
        Nn = 157; Nm = 1; summertime = 1; start_file = 'dry_scan_20180604.mat'; end_file = 'dry_scan_07_06_2018.mat'; filenameADV2_file = 'Vel_06_06_2018.dat';
    case 'C2'
        Nn = 163; Nm = 1; summertime = 1; start_file = 'dry_scan_20180604.mat'; end_file = 'still_20180615.mat'; filenameADV2_file = 'Vel_06_12_06.dat';
    case 'D1'
        Nn = 172; Nm = 1; summertime = 1; start_file = 'drempel_20180618.mat'; still_file = 'still_20180622.mat'; end_file = 'still_20180622.mat'; start_file_C1 = 'dry_scan_20180604.mat'; filenameADV2_file = 'Vectrino_grid_opening.dat';
    case 'D2'
        Nn = 177; Nm = 1; summertime = 1; start_file = 'drempel_20180618.mat'; still_file = 'still_20180622.mat'; end_file = 'still_20180702.mat'; start_file_C1 = 'dry_scan_20180604.mat'; filenameADV2_file = 'Vectrino_grid_opening.dat';
end

if strcmp(experiment,'A2')||strcmp(experiment,'AB2')||strcmp(experiment,'B2')||strcmp(experiment,'C2')
    input_start = importdata(sprintf(start_path,[experiment(1:end-1) '1'],start_file));
    drybed = load(sprintf(start_path,[experiment(1:end-1) '1'],start_file),'XI','YI','VI');
elseif strcmp(experiment,'D1')
    initial_C1 = load(sprintf(start_path,'C1',start_file_C1));
    start_path = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/laser_scanner/drempel_test/%s';
    input_start = importdata(sprintf(start_path,experiment,start_file));
    still_initial = load(sprintf(end_path,experiment,still_file));
    for i=1:length(input_start.VI)
        input_start.VI{i}(:,[1:609 1791:end]) = NaN;
        input_start.VI{i}(input_start.VI{i}>250) = still_initial.VI{1}(input_start.VI{i}>250);
        input_start.VI{i}(initial_C1.VI{1}>215 & (still_initial.YI{1}<still_initial.YI{1}(242,1) & still_initial.YI{1}>still_initial.YI{1}(127,1)) & (still_initial.XI{1}>still_initial.XI{1}(1,1790) | still_initial.XI{1}<still_initial.XI{1}(1,610))) = ...
            initial_C1.VI{1}(initial_C1.VI{1}>215 & (still_initial.YI{1}<still_initial.YI{1}(242,1) & still_initial.YI{1}>still_initial.YI{1}(127,1)) & (still_initial.XI{1}>still_initial.XI{1}(1,1790) | still_initial.XI{1}<still_initial.XI{1}(1,610)));
        input_start.VI{i}(initial_C1.VI{1}>215 & still_initial.YI{1}<=still_initial.YI{1}(127,1) & still_initial.XI{1}<still_initial.XI{1}(1,610)) = initial_C1.VI{1}(initial_C1.VI{1}>215 & still_initial.YI{1}<=still_initial.YI{1}(127,1) & still_initial.XI{1}<still_initial.XI{1}(1,610));
        input_start.VI{i}(isnan(input_start.VI{i})) = 200;
    end
    drybed = load(sprintf(start_path,[experiment(1:end-1) '1'],start_file),'XI','YI','VI');
elseif strcmp(experiment,'D2')
    initial_C1 = load(sprintf(start_path,'C1',start_file_C1));
    start_path = '~/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/laser_scanner/drempel_test/%s';
    input_start = importdata(sprintf(start_path,[experiment(1:end-1) '1'],start_file));
    still_initial = load(sprintf(end_path,[experiment(1:end-1) '1'],still_file));
    for i=1:length(input_start.VI)
        input_start.VI{i}(:,[1:609 1791:end]) = NaN;
        input_start.VI{i}(input_start.VI{i}>250) = still_initial.VI{1}(input_start.VI{i}>250);
        input_start.VI{i}(initial_C1.VI{1}>215 & (still_initial.YI{1}<still_initial.YI{1}(242,1) & still_initial.YI{1}>still_initial.YI{1}(127,1)) & (still_initial.XI{1}>still_initial.XI{1}(1,1790) | still_initial.XI{1}<still_initial.XI{1}(1,610))) = ...
            initial_C1.VI{1}(initial_C1.VI{1}>215 & (still_initial.YI{1}<still_initial.YI{1}(242,1) & still_initial.YI{1}>still_initial.YI{1}(127,1)) & (still_initial.XI{1}>still_initial.XI{1}(1,1790) | still_initial.XI{1}<still_initial.XI{1}(1,610)));
        input_start.VI{i}(initial_C1.VI{1}>215 & still_initial.YI{1}<=still_initial.YI{1}(127,1) & still_initial.XI{1}<still_initial.XI{1}(1,610)) = initial_C1.VI{1}(initial_C1.VI{1}>215 & still_initial.YI{1}<=still_initial.YI{1}(127,1) & still_initial.XI{1}<still_initial.XI{1}(1,610));
        input_start.VI{i}(isnan(input_start.VI{i})) = 200;
    end
    drybed = load(sprintf(start_path,[experiment(1:end-1) '1'],start_file),'XI','YI','VI');
else
    input_start = importdata(sprintf(start_path,experiment,start_file));
    drybed = load(sprintf(start_path,experiment,start_file),'XI','YI','VI');
end
input_end = importdata(sprintf(end_path,experiment,end_file));
filenameADV2 = sprintf(filenameADV2_path,experiment,filenameADV2_file);

%%%%

Np = numel(strfind(ls(sprintf(strrep(filenameADV,'%d','*'),experiment,Nn,Nm)),'.mat')); % number specifying number of sub-files of one large Vectrino measurement

[Npoints,U2,V2,W12,W22,tVEL2,Cor2,Xpos2,Ypos2,Zpos2,bed2,tBED2] = VectrinoProfiler_read_data_20180419(filenameADV,experiment,Nn,Nm,Np,summertime,figSwitch,drybed,filenameADV2);
[U2_filt2,V2_filt2,W12_filt2,W22_filt2] = ADV_Preprocessing(U2,V2,W12,W22,tVEL2,Cor2);
HF = figure_diff_bed(input_start,input_end,output_sed,Ncolors,cmax);
hold on;
for i=1:Npoints
    quiver(Xpos2(i),Ypos2(i),nanmean(nanmean(U2_filt2{i}(:,1:15),1),2),nanmean(nanmean(V2_filt2{i}(:,1:15),1),2),scale,'-','color',[230 97 1]/255,'ShowArrowHead','off');
end
for i=1:Npoints
    quiver(Xpos2(i),Ypos2(i),nanmean(nanmean(U2_filt2{i}(:,16:end),1),2),nanmean(nanmean(V2_filt2{i}(:,16:end),1),2),scale,'-','color',[94 60 153]/255,'ShowArrowHead','off');
end
if strcmp(experiment,'D2')
    plot([0 7000],[1740 1740],'--k',[7000 7000],[1740 2030],'--k',[7000 8000],[2030 2030],'--k',[8000 8000],[2030 2600],'--k');
end

if ~isempty(output_vel)
    printfigure([output_vel '_rgb'],'raster','rgb');
    printfigure([output_vel '_cmyk'],'raster','cmyk');
    savefig(HF,[output_vel '.fig']);
end

close all;
clearvars -except m exp_list

end
