exp_list = {'A1','A2','B1','B2','C1','C2','D1','D2'};
plot_grouping = [1 2; 3 4; 5 6; 7 8];

dx = 5e-3;
dy = 5e-3;
xlow = 4000;
yhigh = 950;

dz = cell(size(exp_list));
dV = NaN(size(exp_list));
Nnan = dV;

generic_filename = '/home/timo/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/Exp%s/data_velocity_bedlevel.mat';
output_sed = '/home/timo/Documents/abstracts_papers/PAPER2_lab/experiments_LTD/figures/sediment_budget_20181023/sediment_budget';

for i=1:length(exp_list)
    load(sprintf(generic_filename,exp_list{i}),'input_end','input_start');
    dz{i} = (input_end.VI{end}-input_start.VI{1})*1e-3;
    dV(i) = dx*dy*sum(dz{i}(input_start.XI{1}>=xlow&input_start.YI{1}<=yhigh),'omitnan');
    Nnan(i) = sum(reshape(isnan(dz{i}),[],1));
    clearvars input_end input_start
end

%%

Xc = 1:size(plot_grouping,1);
Xd = .35;
Xa = .5;
Xp = .5;
Xt = .8;
C = get(groot,'defaultAxesColorOrder');
XcLoc = Xc*1.5;

HF = makefigure;
hold on;
for i=1:length(exp_list)
    if mod(i,2)==0
        patch(XcLoc(floor((i+1)/2))+[Xd Xd 0 0],[0 dV(i) dV(i) 0],C(2,:));
    else
        patch(XcLoc(floor((i+1)/2))-[Xd Xd 0 0],[0 dV(i) dV(i) 0],C(1,:));
    end
end
xlim([.8 XcLoc(end)+1]);
plot(xlim,[0 0],'-k');
box on;

AX = gca;
AX.XTick = [];
for i=1:length(exp_list)
    if mod(i,2)==0
        AX.XTick = [AX.XTick XcLoc(i/2)-Xd/2 XcLoc(i/2)+Xd/2];
    end
end
AX.XTickLabel = exp_list;
AX.YTick = [-.15:.05:.15];

set(AX,'TickLabelInterpreter','Latex','XTickLabelRotation',45);
ylabel('$\Delta V_\mathrm{side}\,(\mathrm{m}^3\mathrm{s}^{-1})$','interpreter','latex');
xlabel('experiment','interpreter','latex');

for i=1:length(exp_list)
    if mod(i,2)==0
        xp = (XcLoc(i/2)+[Xp Xp]-AX.XLim(1))/(AX.XLim(2)-AX.XLim(1))*AX.Position(3)+AX.Position(1);
        yp = ([dV(i-1) dV(i)]-AX.YLim(1))/(AX.YLim(2)-AX.YLim(1))*AX.Position(4)+AX.Position(2);
        annotation('doublearrow',xp,yp,'head1style','cback3','head2style','cback3','head1length',5,'head2length',5,'head1width',5,'head2width',5);
    end
end

for i=1:length(exp_list)
    if mod(i,2)==0
        textline = sprintf('$%.3f$',abs(dV(i)-dV(i-1)));
        ht = text(XcLoc(i/2)+Xt,mean([dV(i-1) dV(i)]),textline,'interpreter','latex','rotation',90,'fontsize',10);
        pos = get(ht,'position') - [0 ht.Extent(4)/2 0];
        set(ht,'Position',pos);
    end
end

%%

if ~isempty(output_sed)
    printfigure([output_sed '_rgb'],'vector','rgb',HF);
    printfigure([output_sed '_cmyk'],'vector','cmyk',HF);
    savefig(HF,[output_sed '.fig']);
end
